tigase.net

## Enum ConnectionType

- java.lang.Object
- - java.lang.Enum<ConnectionType>
  - - tigase.net.ConnectionType

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionType>

      public enum ConnectionType
      extends Enum<ConnectionType>

  Describe class ConnectionType here.
  Created: Sun Feb 5 09:26:44 2006
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accept`
    `connect`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `names()`
    `static ConnectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accept

          public static final ConnectionType accept

    - #### connect

          public static final ConnectionType connect

  - ### Method Detail

    - #### values

          public static ConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionType c : ConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### names

          public static String[] names()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.